Skip to main content
GET
/
schedule
/
api
/
working-time-arrangements
/
{workingTimeArrangementId}
/
collective-schedules
List Collective Schedules from a Working Time Arrangement
curl --request GET \
  --url https://{host}/schedule/api/working-time-arrangements/{workingTimeArrangementId}/collective-schedules \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/schedule/api/working-time-arrangements/{workingTimeArrangementId}/collective-schedules"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/schedule/api/working-time-arrangements/{workingTimeArrangementId}/collective-schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": 1,
      "workingTimeArrangementId": 1,
      "pattern": {
        "monday": {
          "id": 1,
          "shifts": [
            {
              "duration": {
                "value": 1,
                "iso": "<string>"
              },
              "startsAt": "<string>"
            }
          ],
          "workDuration": {
            "value": 1,
            "iso": "<string>"
          }
        },
        "tuesday": {
          "id": 1,
          "shifts": [
            {
              "duration": {
                "value": 1,
                "iso": "<string>"
              },
              "startsAt": "<string>"
            }
          ],
          "workDuration": {
            "value": 1,
            "iso": "<string>"
          }
        },
        "wednesday": {
          "id": 1,
          "shifts": [
            {
              "duration": {
                "value": 1,
                "iso": "<string>"
              },
              "startsAt": "<string>"
            }
          ],
          "workDuration": {
            "value": 1,
            "iso": "<string>"
          }
        },
        "thursday": {
          "id": 1,
          "shifts": [
            {
              "duration": {
                "value": 1,
                "iso": "<string>"
              },
              "startsAt": "<string>"
            }
          ],
          "workDuration": {
            "value": 1,
            "iso": "<string>"
          }
        },
        "friday": {
          "id": 1,
          "shifts": [
            {
              "duration": {
                "value": 1,
                "iso": "<string>"
              },
              "startsAt": "<string>"
            }
          ],
          "workDuration": {
            "value": 1,
            "iso": "<string>"
          }
        },
        "saturday": {
          "id": 1,
          "shifts": [
            {
              "duration": {
                "value": 1,
                "iso": "<string>"
              },
              "startsAt": "<string>"
            }
          ],
          "workDuration": {
            "value": 1,
            "iso": "<string>"
          }
        },
        "sunday": {
          "id": 1,
          "shifts": [
            {
              "duration": {
                "value": 1,
                "iso": "<string>"
              },
              "startsAt": "<string>"
            }
          ],
          "workDuration": {
            "value": 1,
            "iso": "<string>"
          }
        }
      },
      "splitsHalfDays": true,
      "startsOn": "2023-12-25",
      "endsOn": "2023-12-25"
    }
  ]
}
{
"type": "<string>",
"title": "<string>",
"detail": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"detail": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"detail": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"detail": "<string>"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

workingTimeArrangementId
integer<int32>
required

The unique identifier of the Working Time Arrangement.

Required range: x >= 0

Query Parameters

limit
integer
default:10

Number of items per page

Required range: 0 <= x <= 100
page
string

Next page token

Examples:

"next_token&fields.root=next"

"2"

fields.root
enum<string>

Include collection properties.

Available options:
count
sort
enum<string>
default:-startsOn

Sort items by a property.

Available options:
-startsOn

Response

OK

items
The Collective Schedule resource (named workCycle on the interface) · object[]